Subject: FW: New Non-WG Mailing List: irs-discuss -- Interface to The Internet Routing System (IRS)

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 27 Jul 2012 01:51:11 +0100

Pardon the spam, but just letting you know of this new discussion list.

Thanks,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:ietf-announce-
> [email-masked]] On Behalf Of IETF Secretariat
> Sent: 27 July 2012 01:45
> To: IETF Announcement List
> Cc: [email-masked]; [email-masked]; [email-masked]; irs-
> [email-masked]
> Subject: New Non-WG Mailing List: irs-discuss -- Interface to The Internet Routing
> System (IRS)
> 
> A new IETF non-working group email list has been created.
> 
> List address: [email-masked]
> Archive: http://www.ietf.org/mail-archive/web/irs-discuss/
> To subscribe: https://www.ietf.org/mailman/listinfo/irs-discuss
> 
> Purpose: This list is for the discussion of an interface to the routing
> system (IRS) that allows applications to rapidly and dynamically install
> routing state into routers, and to learn sufficient information from
> routers to make timely, data-based decisions about what routing state to
> specify. Such an interface would facilitate control and diagnosis of the
> routing infrastructure, as well as enabling sophisticated applications
> to be built on top of today's routed networks. The IRS is conceived as a
> programmatic, streaming interface for transferring state into and out of
> the Internet's routing system, recognizing that the routing system and a
> router's OS provide useful mechanisms that applications could harness to
> accomplish application-level goals. A fundamental component of the IRS
> is a clear data model that defines the semantics of the information that
> can be written and read.
> 
> For additional information, please contact the list administrators.